Bug 506099 - vino-server aborts on startup
vino-server aborts on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
: 505574 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 11:12 EDT by Matthias Clasen
Modified: 2009-06-19 09:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 08:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessor output of the file in question (139.13 KB, text/plain)
2009-06-15 11:50 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2009-06-15 11:12:07 EDT
Here is the output:

[mclasen@planemask Gui]$ /usr/libexec/vino-server >&~/LOG
*** buffer overflow detected ***: /usr/libexec/vino-server terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3ac20f7537]
/lib64/libc.so.6[0x3ac20f5590]
/lib64/libc.so.6[0x3ac20f6d77]
/usr/libexec/vino-server[0x415d5e]
/usr/libexec/vino-server[0x40f7ad]
/lib64/libgobject-2.0.so.0[0x3527c1134d]
/lib64/libgobject-2.0.so.0(g_object_newv+0x296)[0x3527c11cb6]
/lib64/libgobject-2.0.so.0(g_object_new_valist+0x241)[0x3527c12721]
/lib64/libgobject-2.0.so.0(g_object_new+0xcc)[0x3527c1298c]
/usr/libexec/vino-server[0x40cebe]
/usr/libexec/vino-server[0x40b8a5]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3ac201ea2d]
/usr/libexec/vino-server[0x408469]


Rebuilding with -O0 makes this go away. 

I'm a bit puzzled, since the code looks fine to me:


in server/libvncserver/rfb/rfb.h, in the _rfbScreenInfo struct:

    char rfbThisHost[255];

...and in server/libvncserver/main.c:

   rfbScreen=malloc(sizeof(rfbScreenInfo));

   [...]

   gethostname(rfbScreen->rfbThisHost, 255);


gcc problem ?
Comment 1 Matthias Clasen 2009-06-15 11:50:16 EDT
Created attachment 347956 [details]
preprocessor output of the file in question
Comment 3 Jakub Jelinek 2009-06-16 08:46:45 EDT
Should be fixed in gcc-4.4.0-9.  Packages that were built with gcc-4.4.0-{7,8} and hit this bug need to be rebuilt.
Comment 4 Caolan McNamara 2009-06-17 10:34:29 EDT
*** Bug 505574 has been marked as a duplicate of this bug. ***
Comment 5 Sami Farin 2009-06-19 05:16:58 EDT
vim-7.2.209 aborts in eval_init / __fortify_fail with gcc-4.4.0-9, but without _FORTIFY_SOURCE it works ok (the same compiler options otherwise).
Comment 6 Jakub Jelinek 2009-06-19 09:24:42 EDT
Please provide preprocessed testcase then and where exactly does it crash (or self-contained reproducer if possible).  And, file it as a separate bug, because this one is fixed.

Note You need to log in before you can comment on or make changes to this bug.